Subject: bug#10959: 23.3; emacs -nw doesn't always restore the terminal screen

From: Stefan Monnier <[email-masked]>
Date: Thu, 22 Mar 2012 11:38:22 -0400

> When run in a terminal (at least in xterm, aterm and gnome-terminal),
> emacs doesn't always restore the terminal screen (it remains in the
> alternate screen). This can be reproduced, but not always, with:

>   for i in `seq 1 200`
>   do
>     emacs -Q -nw --eval '(save-buffers-kill-terminal)'
>   done

I can reproduce it here, indeed (also with the current Emacs-24
pretest).  Problem is: I don't know anything about such terminal
initialization, so we need someone who does to help us out,

        Stefan